﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Windows;

namespace FLY.Thick.BlowingScan.UI.Scan.Server
{
    /// <summary>
    /// App.xaml 的交互逻辑
    /// </summary>
    public partial class App : Application
    {
        FLY.AppHelper.AppJustOne appjustone;
        NLog.Logger log = NLog.LogManager.GetLogger("app");
        public App()
        {
            appjustone = new AppHelper.AppJustOne(this);


            //DispatcherUnhandledException += App_DispatcherUnhandledException;

            AppDomain.CurrentDomain.UnhandledException += (s, e) =>
            {
                log.Error("App()", e);
                string err = e.ExceptionObject.ToString();
                MessageBox.Show("程序出现异常，请把下面信息拍照发给厂家" + Environment.NewLine + err,
                    "异常，联系厂家",
                    MessageBoxButton.OK, MessageBoxImage.Error);

            };
        }
    }
}
